Debian Bug report logs - #529022
haskell-hlist: FTBFS: Build depends on libghc6-base-dev

version graph

Package: haskell-hlist; Maintainer for haskell-hlist is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 17 May 2009 10:33:01 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version haskell-hlist/2.0+darcs20070929-1

Fixed in versions 1:0.2-1, haskell-hlist/2.0+darcs20070929-1.1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#529022; Package haskell-hlist. (Sun, 17 May 2009 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Kari Pahula <kaol@debian.org>. (Sun, 17 May 2009 10:33:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: haskell-hlist: FTBFS: Build depends on libghc6-base-dev
Date: Sun, 17 May 2009 12:27:49 +0200
Source: haskell-hlist
Version: 2.0+darcs20070929-1
Severity: serious

Hi,

Your package build depends on the removed package
libghc6-base-dev.


Kurt





Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Thu, 30 Jul 2009 18:12:10 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Thu, 30 Jul 2009 18:12:10 GMT) Full text and rfc822 format available.

Message #10 received at 529022-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 529022-close@bugs.debian.org
Subject: Bug#529022: fixed in haskell-hlist 2.0+darcs20070929-1.1
Date: Thu, 30 Jul 2009 18:02:06 +0000
Source: haskell-hlist
Source-Version: 2.0+darcs20070929-1.1

We believe that the bug you reported is fixed in the latest version of
haskell-hlist, which is due to be installed in the Debian FTP archive:

haskell-hlist_2.0+darcs20070929-1.1.diff.gz
  to pool/main/h/haskell-hlist/haskell-hlist_2.0+darcs20070929-1.1.diff.gz
haskell-hlist_2.0+darcs20070929-1.1.dsc
  to pool/main/h/haskell-hlist/haskell-hlist_2.0+darcs20070929-1.1.dsc
libghc6-hlist-dev_2.0+darcs20070929-1.1_amd64.deb
  to pool/main/h/haskell-hlist/libghc6-hlist-dev_2.0+darcs20070929-1.1_amd64.deb
libghc6-hlist-prof_2.0+darcs20070929-1.1_amd64.deb
  to pool/main/h/haskell-hlist/libghc6-hlist-prof_2.0+darcs20070929-1.1_amd64.deb
libhugs-hlist_2.0+darcs20070929-1.1_amd64.deb
  to pool/main/h/haskell-hlist/libhugs-hlist_2.0+darcs20070929-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 529022@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-hlist package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 30 Jul 2009 19:52:30 +0200
Source: haskell-hlist
Binary: libghc6-hlist-dev libghc6-hlist-prof libhugs-hlist
Architecture: source amd64
Version: 2.0+darcs20070929-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 libghc6-hlist-dev - Haskell library for strongly typed heterogeneous collections
 libghc6-hlist-prof - Haskell library for strongly typed heterogeneous collections
 libhugs-hlist - Haskell library for strongly typed heterogeneous collections
Closes: 520308 529022
Changes: 
 haskell-hlist (2.0+darcs20070929-1.1) unstable; urgency=low
 .
   * Adopt for the Debian Haskell Group, thanks to Kaol for his maintenance.
   * Change packaging to current common practice
   * Do not depend on libghc6-base-dev (Closes: #529022)
   * Rebuilding will closes: #520308
Checksums-Sha1: 
 f17e47b58b3ca6ecf6a75b4e2b5cdca5b99675f3 1280 haskell-hlist_2.0+darcs20070929-1.1.dsc
 077232aee050e4b895627ff4f1090f1d9899f699 2152 haskell-hlist_2.0+darcs20070929-1.1.diff.gz
 b03973cc09516d980ad53b001dc10107c3a6aad5 228290 libghc6-hlist-dev_2.0+darcs20070929-1.1_amd64.deb
 9fc17df7927e71dcb5f5888180094d164fcdac3d 231488 libghc6-hlist-prof_2.0+darcs20070929-1.1_amd64.deb
 4c1005bfa00c55c0d51410db449c233977dc0cbe 22720 libhugs-hlist_2.0+darcs20070929-1.1_amd64.deb
Checksums-Sha256: 
 db8b17603134e4cd03265b36beb9c3a2ac5c5cd17224cd3abf12ea99621c099e 1280 haskell-hlist_2.0+darcs20070929-1.1.dsc
 c1069d8f753af8c1e0af9b4a32b4c707106ceafbb5635c5582dce54dd1fdd4bc 2152 haskell-hlist_2.0+darcs20070929-1.1.diff.gz
 639996ee89f805392a1a9bbab5cff8ef2e75e1527307ff8de9180067d3243fa4 228290 libghc6-hlist-dev_2.0+darcs20070929-1.1_amd64.deb
 63b03bf265680505335d6a9958e4072018c32412e2bcb718e0e6a9f1b33d9593 231488 libghc6-hlist-prof_2.0+darcs20070929-1.1_amd64.deb
 78d9f03e0af5a347c4abc86898d5e9c378cee5bed063dff99e2a4e04342b3046 22720 libhugs-hlist_2.0+darcs20070929-1.1_amd64.deb
Files: 
 c6a77402709a6705851c44f332e2a391 1280 haskell optional haskell-hlist_2.0+darcs20070929-1.1.dsc
 9a08a9ad6945c208897436201d222a03 2152 haskell optional haskell-hlist_2.0+darcs20070929-1.1.diff.gz
 2b7c4d684b091276f7f4e42c980db50a 228290 haskell optional libghc6-hlist-dev_2.0+darcs20070929-1.1_amd64.deb
 d45b6b3e3c74f4695f0e73941781b4a7 231488 haskell optional libghc6-hlist-prof_2.0+darcs20070929-1.1_amd64.deb
 181ad4111d20fd0dfc9582cf7054e133 22720 haskell optional libhugs-hlist_2.0+darcs20070929-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpx3r8ACgkQ9ijrk0dDIGxW9ACZAQEL1dpcj1mFTouoSNGP/sdF
6jcAn31ZOaEMVjveApEvc5gaIICT0sqU
=ahqU
-----END PGP SIGNATURE-----





Added tag(s) squeeze and sid. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 07 Jan 2010 12:48:26 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 1:0.2-1. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sun, 01 Aug 2010 20:15:04 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Apr 2011 07:50:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:10:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.